ATTN: Helpers!

Discussion in 'PSP - Games & Content' started by TwinBlades, May 7, 2010.

  1. TwinBlades
    OP

    TwinBlades GBAtemp Advanced Fan

    Member
    778
    1
    Aug 3, 2008
    Hey guys! Ok, I'm getting my PSP in 3 days from a friend (long story). Like I've said earlier he doesn't know his firmware (he's coming back from a trip and has the PSP at home). I just want to make sure, if his firmware is higher than 5.03 (he has Silver PSP Slim 2000 from Dextar Bundle) can I still hack it? He said I can downgrade it but I'm not too sure (if it is possible is there a limit of if the firmware is too high it can't?). Also he has a 1GB memory card and I went out and baught a 4GB Sony one, can I inter change between the two cards? If I can, what are some stuffs that I should have in both cards in order to run the CFW/PSP properly. (I know the CFW is intergrated into the PSP but for DS flashcarts you need the firmware/software on the MicroSD).

    Is there a guide/manual for the GEN? I've went to the official website I hope and it's written in spanish I think. What I'm asking is like how to use the features and etc. Also is there a online or basic manual for the PSP itself as my friend lost it.

    Thanks for the great amount of help and support guys, I can't thank enough [​IMG]!
     
  2. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    As long as it's lower than 5.03, you can update and use ChickHEN.
    If it's higher than that, you can downgrade with a Pandora battery and a MMS provided that your PSP's motherboard is not ta-088v3 (since you're getting a 2k)

    @Card question - yeah, formatting the memory stick from the PSP menu is needed at first, to create all the necessary folders, but no more (Unless you're using HEN)

    @Guide/manual - Uh, I think there's a manual for the PSP on the official website, but no such thing for the CFW itself. You're free to ask me questions though.
     
  3. ProtoKun7

    ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Global Moderator
    7,514
    1,556
    Jan 3, 2009
    Gallifrey
    I'm not well versed on the 2000 bundles, but as mentioned, a non-TA-088v3 will be fine for the pandora method or ChickHEN. A v3 motherboard will only allow a temporary 5.03 GEN-C CFW, and even then, not if it's been updated above 5.03.

    For guides, there are guides for installing the CFW here, but for actually using the features, you might have to search around.
     
  4. nico445

    nico445 GBAtemp Advanced Fan

    Member
    579
    9
    Apr 27, 2008
    Netherlands
    my house.
    you could check the datecode behind the battery but not every psp has that i think if its 8b or lower you can use a pandora and install any cfw, if it is higher you only have the option for 5,0,3 chickhen (and then cfw enabler and such) or the half byte loader on 6.20 for a few homebrew apps
     
  5. fgghjjkll

    fgghjjkll GBATemp MegaMan

    Member
    GBAtemp Patron
    fgghjjkll is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,041
    42
    Jul 7, 2008
    You'd better hope it's a non ta88v3 psp slim... [​IMG]

    I'm not a fan of semi cfws tbh.
     
  6. ragingchaosgod

    ragingchaosgod JUBILEUS QAAL OVOF VOMSARG

    Member
    575
    0
    Dec 20, 2008
    A semi is workable as long as you don't turn the unit off. Just keep it in sleep mode when you want to stop playing.
     
  7. TwinBlades
    OP

    TwinBlades GBAtemp Advanced Fan

    Member
    778
    1
    Aug 3, 2008
    My question isn't really answered. So the psp has a hackable mobo the v2 one silver slim. If the firmware is higher than 5.03 can I still hack it with pandora battery and be fully hackable not semi?
     
  8. Porobu

    Porobu Gbatemps Shiny Latias

    Member
    1,042
    7
    Sep 12, 2009
    you need to know the model of the motherboard
     
  9. Jolan

    Jolan Unlimited Bear Works

    Member
    1,385
    7
    Mar 20, 2010
    Netherlands, currently
    Yes, if it's a ta-088v2 and Firmware over 5.03, you can.
     
  10. Porobu

    Porobu Gbatemps Shiny Latias

    Member
    1,042
    7
    Sep 12, 2009
  11. TwinBlades
    OP

    TwinBlades GBAtemp Advanced Fan

    Member
    778
    1
    Aug 3, 2008
    The mother board is TA-85v2 and possible it will have higher firmware. So even if the firmware is higher? I can just downgrade to 5.03 and hack it with either custom pandora battery (my own) or a one that I can buy?

    Thanks again.
     
  12. BoxShot

    BoxShot Chiyo-chan :3

    Member
    3,447
    3
    Dec 18, 2008
    United States
    Middle of the ocean.
    No. You would need a pandora and a mms. You can't downgrade firmware on OFW at all. You can buy a pandora at DX.

    Yes you can still use the pandora because that is entirely mobo dependent.